ACSLS - Getting Web Browser Error "ssl_error_weak_server_ephemeral_dh_key" After Browser Update (Doc ID 2055141.1)

Last updated on MAY 05, 2017

Applies to:

Sun StorageTek Auto Cartridge Sys Lib SW (ACSLS) - Version 8.0 to 8.4 [Release 8.0]
Information in this document applies to any platform.

Symptoms

Cannot connect to acsls webgui

The web browser software was recently upgraded

Web browser gives error when attempting to connect to webgui using this URL:
http://acsls-server:7001/SlimGUI/faces/Slim.jsp

  SSL server probably obsolete.

  ERR_SSL_FALLBACK_BEYOND_MINIMUM_VERSION

  Unable to connect securely to the server. This website may have worked previously, but there is a problem with the server. Connecting to such sites weakens security for all users and thus has been disabled.
---

When connecting to the ACSLS GUI using secured connection and using this URL,
https://acsls-server:7002/SlimGUI/faces/Slim.jsp, the browser returns with this error:

---
  Secure Connection Failed

  An error occurred during a connection to 10.80.40.76:7002. The server certificate included a public key that was too weak. (Error code: ssl_error_weak_server_cert_key)

  The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
  Please contact the website owners to inform them of this problem.
---

Changes

Updated web browser to latest release.

Example of web browsers returning the "weak server ephemeral DH key" error:
----
Chrome Version 45.0.2454.85 (64-bit)
Firefox 40.0.3
Maxthon 1.0.5.3

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms